LPCX presso support

Using MCUXpresso IDE on macOS 10.15 (Catalina)

Blog Post created by LPCX presso support Employee on Dec 2, 2019

MCUXpresso IDE is currently supported on macOS 10.12 to 10.14.

 

In macOS 10.15 (Catalina), Apple have introduced a new additional "signing" mechanism for software that is download outside of the Apple App Store, know as "Notarization". Currently MCUXpresso IDE for macOS is signed using NXP's Apple Developer ID, but has not yet gone through Apple's notarization process. This means that by default you will not be able to install if you are running macOS 10.15.

 

Therefore we currently do not claim to officially support MCUXpresso IDE on macOS 10.15. We expect to make a version of MCUXpresso IDE that has been notarized during 2q2020. However in the meantime, you may be still be able to install and use current IDE releases using the following instructions.

 

When you first try to install MCUXpresso IDE on macOS 10.15, you will see a error dialog :InstallError.jpg

which is because the IDE installer is not notarized. Now open up "System Preferences" and select the "Security and Privacy" option:

SecurityPrivacy_Prompt.jpg

and select the "Open Anyway" option for the MCUXpresso IDE installation pkg file.

 

If you now try to run the installer again, you will again receive a dialog warning that it is not notarized, but this time you can now select the "Open" option:
OpenAnyway.jpg
The IDE installer will now be run and install the tools, in the same way as on earlier versions of macOS.


For more information...

Outcomes